Bug 546289 - uget uses libcurl API incorrectly and crashes on SIGSEGV
Summary: uget uses libcurl API incorrectly and crashes on SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uget
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kamil Dudka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f5e0efed9627b1b5703ba4f91d1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 15:54 UTC by meo
Modified: 2015-03-02 12:25 UTC (History)
2 users (show)

Fixed In Version: 1.5.0.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-24 20:41:30 UTC


Attachments (Terms of Use)
File: backtrace (11.60 KB, text/plain)
2009-12-10 15:54 UTC, meo
no flags Details
fix for uget (533 bytes, patch)
2009-12-16 17:18 UTC, Kamil Dudka
no flags Details | Diff

Description meo 2009-12-10 15:54:27 UTC
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: uget-gtk
component: uget
executable: /usr/bin/uget-gtk
kernel: 2.6.31.6-162.fc12.i686
package: uget-1.5.0-1.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 meo 2009-12-10 15:54:31 UTC
Created attachment 377493 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2009-12-11 17:58:58 UTC
Would you write here the detailed procedure how to
reproduce the issue you see?

Comment 3 Mamoru TASAKA 2009-12-13 15:08:54 UTC
... once switching to curl.

Comment 5 Kamil Dudka 2009-12-16 17:25:08 UTC
Look at the libcurl API documentation. You can't set fwrite() as CURLOPT_WRITEFUNCTION. It expects a function with completely different signature as the callback. I wonder how this could ever work...

Comment 6 Mamoru TASAKA 2009-12-18 16:48:47 UTC
I contacted the upstream and the upstream will take a look
at this bug.

Comment 8 Mamoru TASAKA 2009-12-23 15:10:18 UTC
Thank you, Kamil. It seems that upstream applied your patch.

Comment 9 Fedora Update System 2009-12-23 15:43:23 UTC
uget-1.5.0.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/uget-1.5.0.1-1.fc12

Comment 10 Fedora Update System 2009-12-23 15:44:18 UTC
uget-1.5.0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/uget-1.5.0.1-1.fc11

Comment 11 Kamil Dudka 2009-12-23 16:06:01 UTC
The applied fix should indeed solve the above reported crash on Fedora. Thanks for releasing the update!

As for the upstream patch itself, the "MSVC only" solution is still broken badly! Please point the upstream developers to the libcurl API documentation. To make it working, they need to implement their own function as callback!

Comment 12 Fedora Update System 2009-12-24 20:35:19 UTC
uget-1.5.0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-12-24 20:41:26 UTC
uget-1.5.0.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.